import React from "react";
import { StyleSheet, Text } from "react-native";
import { Card, Paragraph } from "react-native-paper";

const SalamanderData = (props) => {
  return (
    <Card style={styles.card}>
      <Card.Title title="Salamander Data" />
      <Card.Content>
        <Paragraph>
          <Text style={styles.text}>ID: </Text>
          {props.id}
        </Paragraph>
        <Paragraph>
          <Text style={styles.text}>Location: </Text>
          {props.location}
        </Paragraph>
        <Paragraph>
          <Text style={styles.text}>Sex: </Text>
          {props.sex}{" "}
        </Paragraph>
        <Paragraph>
          <Text style={styles.text}>Species: </Text>
          {props.species}
        </Paragraph>
      </Card.Content>
    </Card>
  );
};

export default SalamanderData;

const styles = StyleSheet.create({
  card: {
    marginStart: 20, 
    marginEnd: 20
  },
  text: {
    fontWeight: "bold",
  }
});
